## python-cutadapt 1.15

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

all: html

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/cutadapt.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/cutadapt.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/cutadapt"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/cutadapt"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-cutadapt 1.9.1

=== debian/changelog ===
python-cutadapt (1.9.1-1build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 11:45:45 +0000

python-cutadapt (1.9.1-1) unstable; urgency=medium

  * New upstream release 

 -- Olivier Sallou <osallou@debian.org>  Thu, 10 Dec 2015 13:56:18 +0100

python-cutadapt (1.8.3-1) unstable; urgency=low

  * Initial release (Closes: #795822)

 -- Olivier Sallou <osallou@debian.org>  Mon, 17 Aug 2015 09:09:04 +0200

=== debian/control ===
Source: python-cutadapt
Section: python
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>
Build-Depends: debhelper (>= 9),
       dh-python,
       python-all,
       python-all-dev,
       python-setuptools,
       cython,
       python3-all,
       python3-all-dev,
       python3-setuptools,
       python3-six,
       cython3
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Standards-Version: 3.9.6
Homepage: http://pypi.python.org/pypi/cutadapt
Vcs-Git: git://anonscm.debian.org/debian-med/python-cutadapt.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/python-cutadapt.git

Package: python-cutadapt
Architecture: any
Depends: ${misc:Depends},${python:Depends},${shlibs:Depends}
Description: Clean biological sequences from high-throughput sequencing reads
 Cutadapt helps with biological sequence clean tasks by finding the adapter
 or primer sequences in an error-tolerant way.
 It can also modify and filter reads in various ways.
 Adapter sequences can contain IUPAC wildcard characters.
 Also, paired-end reads and even colorspace data is supported.
 If you want, you can also just demultiplex your input data, without removing
 adapter sequences at all.


Package: python3-cutadapt
Architecture: any
Depends: ${misc:Depends},${python3:Depends},${shlibs:Depends}
Description: Clean biological sequences from high-throughput sequencing reads
 Cutadapt helps with biological sequence clean tasks by finding the adapter
 or primer sequences in an error-tolerant way.
 It can also modify and filter reads in various ways.
 Adapter sequences can contain IUPAC wildcard characters.
 Also, paired-end reads and even colorspace data is supported.
 If you want, you can also just demultiplex your input data, without removing
 adapter sequences at all.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export PYBUILD_NAME=cutadapt


# main packaging script based on dh7 syntax
%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	mv debian/python3-cutadapt/usr/bin/cutadapt debian/python3-cutadapt/usr/bin/cutadapt3

## python-cutadapt 1.10

=== debian/changelog ===
python-cutadapt (1.10-2) unstable; urgency=medium

  * Add missing Breaks for new package cutadapt
  * Clarified license

 -- Andreas Tille <tille@debian.org>  Tue, 21 Jun 2016 15:33:45 +0200

python-cutadapt (1.10-1) unstable; urgency=medium

  * New upstream version
  * Provide a package cutadapt containing just the user interface
  * Remove README.Debian since we now have only one user interface
  * Better hardening

 -- Andreas Tille <tille@debian.org>  Mon, 20 Jun 2016 15:37:30 +0200

=== debian/control ===
Source: python-cutadapt
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>,
           Andreas Tille <tille@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-all-dev,
               python-setuptools,
               cython,
               python3-all,
               python3-all-dev,
               python3-setuptools,
               python3-six,
               cython3
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-cutadapt.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/python-cutadapt.git
Homepage: http://pypi.python.org/pypi/cutadapt
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4

Package: python-cutadapt
Architecture: any
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: Clean biological sequences from high-throughput sequencing reads (Python 2)
 Cutadapt helps with biological sequence clean tasks by finding the adapter
 or primer sequences in an error-tolerant way.
 It can also modify and filter reads in various ways.
 Adapter sequences can contain IUPAC wildcard characters.
 Also, paired-end reads and even colorspace data is supported.
 If you want, you can also just demultiplex your input data, without removing
 adapter sequences at all.
 .
 This package contains the Python 2 module.

Package: python3-cutadapt
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Clean biological sequences from high-throughput sequencing reads (Python 3)
 Cutadapt helps with biological sequence clean tasks by finding the adapter
 or primer sequences in an error-tolerant way.
 It can also modify and filter reads in various ways.
 Adapter sequences can contain IUPAC wildcard characters.
 Also, paired-end reads and even colorspace data is supported.
 If you want, you can also just demultiplex your input data, without removing
 adapter sequences at all.
 .
 This package contains the Python 3 module.

Package: cutadapt
Architecture: all
Section: science
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-cutadapt
Breaks: python-cutadapt (<= 1.9.1-1)
Description: Clean biological sequences from high-throughput sequencing reads
 Cutadapt helps with biological sequence clean tasks by finding the adapter
 or primer sequences in an error-tolerant way.
 It can also modify and filter reads in various ways.
 Adapter sequences can contain IUPAC wildcard characters.
 Also, paired-end reads and even colorspace data is supported.
 If you want, you can also just demultiplex your input data, without removing
 adapter sequences at all.
 .
 This package contains the user interface.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,9 @@
 include /usr/share/dpkg/default.mk
 
 # see FEATURE AREAS in dpkg-buildflags(1)
+# Fails to build when set to +all
 #export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 # see ENVIRONMENT in dpkg-buildflags(1)
 # package maintainers to append CFLAGS
@@ -25,8 +27,9 @@
 
 override_dh_install:
 	dh_install
-	mv debian/python3-cutadapt/usr/bin/cutadapt debian/python3-cutadapt/usr/bin/cutadapt3
+	mkdir -p debian/cutadapt/usr/bin
+	mv debian/python3-cutadapt/usr/bin/cutadapt debian/cutadapt/usr/bin/
+	rm -f debian/python-cutadapt/usr/bin/cutadapt
 
 
 
-

## python-cutadapt 1.11

=== debian/changelog ===
python-cutadapt (1.11-1) unstable; urgency=medium

  * New upstream release 

 -- Olivier Sallou <osallou@debian.org>  Thu, 18 Aug 2016 10:04:43 +0200

## python-cutadapt 1.12

=== debian/changelog ===
python-cutadapt (1.12-2) unstable; urgency=medium

  * Depends: python-xopen
    Closes: #858053
  * Run build time tests

 -- Andreas Tille <tille@debian.org>  Mon, 20 Mar 2017 16:49:26 +0100

python-cutadapt (1.12-1) unstable; urgency=medium

  * New upstream version 1.12 (Closes: #846471)
  * Fix up d/copyright: remove duplicate license stanzas, and Files: pattern
    without matching files.

 -- Kevin Murray <kdmfoss@gmail.com>  Fri, 02 Dec 2016 13:56:33 +1100

=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,8 @@
 
 export PYBUILD_NAME=cutadapt
 
+PYTHON2 := $(shell pyversions -r)
+PYTHON3 := $(shell py3versions -r)
 
 # main packaging script based on dh7 syntax
 %:
@@ -31,5 +33,12 @@
 	mv debian/python3-cutadapt/usr/bin/cutadapt debian/cutadapt/usr/bin/
 	rm -f debian/python-cutadapt/usr/bin/cutadapt
 
-
-
+override_dh_auto_test:
+ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	for py in $(PYTHON2) ; do\
+	    $$py setup.py nosetests -v ; \
+	done
+	for py in $(PYTHON3) ; do\
+	    $$py setup.py nosetests -v ; \
+	done
+endif

## python-cutadapt 1.13

=== debian/changelog ===
python-cutadapt (1.13-1build2) artful; urgency=medium

  * No-change rebuild to drop _PyFPE support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Sep 2017 08:23:00 +0000

python-cutadapt (1.13-1build1) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 16:27:26 +0000

python-cutadapt (1.13-1) unstable; urgency=medium

  * New upstream release

 -- Olivier Sallou <osallou@debian.org>  Mon, 15 May 2017 11:11:24 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-cutadapt
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Olivier Sallou <osallou@debian.org>,
-           Andreas Tille <tille@debian.org>
+           Andreas Tille <tille@debian.org>,
+           Kevin Murray <kdmfoss@gmail.com>
 Section: python
 Priority: optional
 Build-Depends: debhelper (>= 9),
@@ -9,11 +10,15 @@
                python-all,
                python-all-dev,
                python-setuptools,
+               python-nose,
+               python-xopen,
                cython,
                python3-all,
                python3-all-dev,
                python3-setuptools,
                python3-six,
+               python3-nose,
+               python3-xopen,
                cython3
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-cutadapt.git

## python-cutadapt 1.15

=== debian/changelog ===
python-cutadapt (1.15-1) unstable; urgency=medium

  * New upstream release
  * cme fix dpkg-control
  * debhelper 11
  * hardening=+all
  * Versioned Build-Depends: python-xopen (>= 0.3.2)

 -- Andreas Tille <tille@debian.org>  Sat, 10 Feb 2018 13:36:01 +0100

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,22 @@
            Kevin Murray <kdmfoss@gmail.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11~),
                dh-python,
                python-all,
                python-all-dev,
                python-setuptools,
                python-nose,
-               python-xopen,
+               python-xopen (>= 0.3.2),
                cython,
                python3-all,
                python3-all-dev,
                python3-setuptools,
                python3-six,
                python3-nose,
-               python3-xopen,
+               python3-xopen (>= 0.3.2),
                cython3
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-cutadapt.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/python-cutadapt.git
 Homepage: http://pypi.python.org/pypi/cutadapt
@@ -66,7 +66,6 @@
          ${python3:Depends},
          ${shlibs:Depends},
          python3-cutadapt
-Breaks: python-cutadapt (<= 1.9.1-1)
 Description: Clean biological sequences from high-throughput sequencing reads
  Cutadapt helps with biological sequence clean tasks by finding the adapter
  or primer sequences in an error-tolerant way.

=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,7 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
 
-# see FEATURE AREAS in dpkg-buildflags(1)
-# Fails to build when set to +all
-#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # see ENVIRONMENT in dpkg-buildflags(1)
 # package maintainers to append CFLAGS

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/cutadapt/cutadapt-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-cutadapt 1.16

=== debian/changelog ===
python-cutadapt (1.16-2) unstable; urgency=medium

  * Testsuite: autopkgtest-pkg-python
  * Standards-Version: 4.1.4
  * Point Vcs fields to salsa.debian.org
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Mon, 16 Apr 2018 11:32:15 +0200

python-cutadapt (1.16-1) unstable; urgency=medium

  * New upstream release

 -- Andreas Tille <tille@debian.org>  Thu, 01 Mar 2018 22:50:26 +0100

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
            Andreas Tille <tille@debian.org>,
            Kevin Murray <kdmfoss@gmail.com>
 Section: python
+Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper (>= 11~),
                dh-python,
@@ -20,9 +21,9 @@
                python3-nose,
                python3-xopen (>= 0.3.2),
                cython3
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-cutadapt.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/python-cutadapt.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/med-team/python-cutadapt
+Vcs-Git: https://salsa.debian.org/med-team/python-cutadapt.git
 Homepage: http://pypi.python.org/pypi/cutadapt
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.4

## python-cutadapt 1.18

=== debian/changelog ===
python-cutadapt (1.18-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1
  * Remove ancient X-Python*-Version fields

 -- Andreas Tille <tille@debian.org>  Thu, 13 Sep 2018 08:52:00 +0200

=== debian/control ===
--- 
+++ 
@@ -21,12 +21,10 @@
                python3-nose,
                python3-xopen (>= 0.3.2),
                cython3
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/med-team/python-cutadapt
 Vcs-Git: https://salsa.debian.org/med-team/python-cutadapt.git
 Homepage: http://pypi.python.org/pypi/cutadapt
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.4
 
 Package: python-cutadapt
 Architecture: any

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/cutadapt/cutadapt-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-cutadapt 2.4

=== debian/changelog ===
python-cutadapt (2.4-2) unstable; urgency=medium

  * Reupload source package
    Closes: #934232
  * debhelper-compat 12
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Remove trailing whitespace in debian/changelog
  * Use secure URI in Homepage field.

 -- Andreas Tille <tille@debian.org>  Thu, 08 Aug 2019 16:27:30 +0200

python-cutadapt (2.4-1) unstable; urgency=medium

  * Team upload
  * New upstream version.
  * Standards-Version: 4.4.0
  * Cleaning auto-generated files

 -- Steffen Moeller <moeller@debian.org>  Thu, 01 Aug 2019 20:34:10 +0200

=== debian/control ===
--- 
+++ 
@@ -6,47 +6,29 @@
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
-               python-all,
-               python-all-dev,
-               python-setuptools,
-               python-nose,
-               python-xopen (>= 0.3.2),
-               cython,
-               python3-all,
-               python3-all-dev,
+               python3,
+               python3-dev,
                python3-setuptools,
-               python3-six,
-               python3-nose,
-               python3-xopen (>= 0.3.2),
+               python3-setuptools-scm,
+               python3-pytest-timeout,
+               python3-xopen (>= 0.5.0),
+               python3-dnaio,
                cython3
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-cutadapt
 Vcs-Git: https://salsa.debian.org/med-team/python-cutadapt.git
-Homepage: http://pypi.python.org/pypi/cutadapt
-
-Package: python-cutadapt
-Architecture: any
-Depends: ${misc:Depends},
-         ${python:Depends},
-         ${shlibs:Depends}
-Description: Clean biological sequences from high-throughput sequencing reads (Python 2)
- Cutadapt helps with biological sequence clean tasks by finding the adapter
- or primer sequences in an error-tolerant way.
- It can also modify and filter reads in various ways.
- Adapter sequences can contain IUPAC wildcard characters.
- Also, paired-end reads and even colorspace data is supported.
- If you want, you can also just demultiplex your input data, without removing
- adapter sequences at all.
- .
- This package contains the Python 2 module.
+Homepage: https://pypi.python.org/pypi/cutadapt
 
 Package: python3-cutadapt
 Architecture: any
 Depends: ${misc:Depends},
          ${python3:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         python3-xopen (>= 0.5.0),
+         python3-dnaio,
+         pigz
 Description: Clean biological sequences from high-throughput sequencing reads (Python 3)
  Cutadapt helps with biological sequence clean tasks by finding the adapter
  or primer sequences in an error-tolerant way.

=== debian/rules ===
--- 
+++ 
@@ -17,25 +17,20 @@
 
 export PYBUILD_NAME=cutadapt
 
-PYTHON2 := $(shell pyversions -r)
-PYTHON3 := $(shell py3versions -r)
-
-# main packaging script based on dh7 syntax
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_install:
 	dh_install
 	mkdir -p debian/cutadapt/usr/bin
 	mv debian/python3-cutadapt/usr/bin/cutadapt debian/cutadapt/usr/bin/
-	rm -f debian/python-cutadapt/usr/bin/cutadapt
 
 override_dh_auto_test:
-ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
-	for py in $(PYTHON2) ; do\
-	    $$py setup.py nosetests -v ; \
-	done
-	for py in $(PYTHON3) ; do\
-	    $$py setup.py nosetests -v ; \
-	done
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	dh_auto_test -- -s custom --test-args="cd {build_dir}; \
+		py.test-3 --pyargs cutadapt tests"
 endif
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf src/cutadapt.egg-info/ .pytest_cache

## python-cutadapt 2.8

=== debian/changelog ===
python-cutadapt (2.8-2build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:25:18 +0100

python-cutadapt (2.8-2) unstable; urgency=medium

  * Added myself to uploaders.
  * Adjusted build-deps to render package installable with Python 3.8.
  * Simplified execution of autotest to get library paths right.

 -- Steffen Moeller <moeller@debian.org>  Mon, 03 Feb 2020 11:15:53 +0100

python-cutadapt (2.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Steffen Moeller <moeller@debian.org>  Fri, 24 Jan 2020 12:50:31 +0100

python-cutadapt (2.7-2) unstable; urgency=medium

  * Team upload.
  * Adding missing build-depends on python3-pytest-mock.

 -- Andrius Merkys <merkys@debian.org>  Mon, 02 Dec 2019 01:27:26 -0500

python-cutadapt (2.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Steffen Moeller <moeller@debian.org>  Mon, 25 Nov 2019 14:17:56 +0100

python-cutadapt (2.6-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * Now fetching sources from github

 -- Steffen Moeller <moeller@debian.org>  Wed, 30 Oct 2019 10:17:14 +0100

python-cutadapt (2.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Steffen Moeller <moeller@debian.org>  Sat, 26 Oct 2019 17:52:13 +0200

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,24 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Olivier Sallou <osallou@debian.org>,
            Andreas Tille <tille@debian.org>,
-           Kevin Murray <kdmfoss@gmail.com>
+           Kevin Murray <kdmfoss@gmail.com>,
+           Steffen Moeller <moeller@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-python,
-               python3,
-               python3-dev,
+               python3-all,
+               python3-all-dev,
                python3-setuptools,
                python3-setuptools-scm,
+               python3-pytest-mock,
                python3-pytest-timeout,
                python3-xopen (>= 0.5.0),
                python3-dnaio,
+               python3-pytest,
                cython3
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-cutadapt
 Vcs-Git: https://salsa.debian.org/med-team/python-cutadapt.git
 Homepage: https://pypi.python.org/pypi/cutadapt

=== debian/rules ===
--- 
+++ 
@@ -27,10 +27,12 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	dh_auto_test -- -s custom --test-args="cd {build_dir}; \
-		py.test-3 --pyargs cutadapt tests"
+	dh_auto_test -- --test-pytest
 endif
 
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf src/cutadapt.egg-info/ .pytest_cache
+	rm -f src/cutadapt/_version.py
+	# cython-generated files
+	rm -f src/cutadapt/_align.c src/cutadapt/qualtrim.c

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%cutadapt-$1.tar.gz%" \
 https://github.com/marcelm/cutadapt/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
#uversionmangle=s/(rc|a|b|c)/~$1/

## python-cutadapt 2.10

=== debian/changelog ===
python-cutadapt (2.10-1) unstable; urgency=medium

  * New upstream version

 -- Steffen Moeller <moeller@debian.org>  Mon, 27 Apr 2020 16:16:18 +0200

python-cutadapt (2.9-1) unstable; urgency=medium

  * New upstream version
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Steffen Moeller <moeller@debian.org>  Tue, 31 Mar 2020 16:14:59 +0200

=== debian/control ===
--- 
+++ 
@@ -23,6 +23,7 @@
 Vcs-Browser: https://salsa.debian.org/med-team/python-cutadapt
 Vcs-Git: https://salsa.debian.org/med-team/python-cutadapt.git
 Homepage: https://pypi.python.org/pypi/cutadapt
+Rules-Requires-Root: no
 
 Package: python3-cutadapt
 Architecture: any

## python-cutadapt 3.2

=== debian/changelog ===
python-cutadapt (3.2-2) unstable; urgency=medium

  * Team upload.
  * Build i386 architecture with -ffloat-store to address failing tests.
  * Add skip-setuptools-scm.patch to avoid accessing network resources during
    builds and cleanup, and added supplement to the d/rules clean target.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Sat, 30 Jan 2021 11:38:08 +0100

python-cutadapt (3.2-1) unstable; urgency=medium

  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 09 Jan 2021 16:41:47 +0530

python-cutadapt (3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * Do not mix python3-all and python3-all-dev
  * Refresh patch

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 12 Dec 2020 18:43:48 +0530

python-cutadapt (3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Add autopkgtests
  * Mark test_run_cutadapt_process as
    xfail which xpass during autopkgtest

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 13 Nov 2020 14:34:18 +0530

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Uploaders: Olivier Sallou <osallou@debian.org>,
            Andreas Tille <tille@debian.org>,
            Kevin Murray <kdmfoss@gmail.com>,
-           Steffen Moeller <moeller@debian.org>
+           Steffen Moeller <moeller@debian.org>,
+           Nilesh Patra <npatra974@gmail.com>
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python3-all,
                python3-all-dev,
                python3-setuptools,
                python3-setuptools-scm,
@@ -19,7 +19,7 @@
                python3-dnaio,
                python3-pytest,
                cython3
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/python-cutadapt
 Vcs-Git: https://salsa.debian.org/med-team/python-cutadapt.git
 Homepage: https://pypi.python.org/pypi/cutadapt

## python-cutadapt 3.5

=== doc/requirements.txt ===
sphinx_issues
cython
setuptools_scm

=== debian/changelog ===
python-cutadapt (3.5-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 21:45:42 +0000

python-cutadapt (3.5-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 04 Oct 2021 20:24:00 +0530

python-cutadapt (3.4-1) unstable; urgency=medium

  [ Steffen Möller ]
  * Update metadata - added to guix
  * Update metadata - fixing indent

  [ Nilesh Patra ]
  * New upstream version 3.4
  * Refresh patches

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 17:44:54 +0530

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Andreas Tille <tille@debian.org>,
            Kevin Murray <kdmfoss@gmail.com>,
            Steffen Moeller <moeller@debian.org>,
-           Nilesh Patra <npatra974@gmail.com>
+           Nilesh Patra <nilesh@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
@@ -19,7 +19,7 @@
                python3-dnaio,
                python3-pytest,
                cython3
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-cutadapt
 Vcs-Git: https://salsa.debian.org/med-team/python-cutadapt.git
 Homepage: https://pypi.python.org/pypi/cutadapt

=== debian/rules ===
--- 
+++ 
@@ -3,17 +3,14 @@
 # output every command that modifies files on the build system.
 #export DH_VERBOSE = 1
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+ifneq (,$(filter $(DEB_BUILD_ARCH),i386))
+export DEB_CFLAGS_MAINT_APPEND += -ffloat-store
+endif
+
 # see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
-
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-
-# see ENVIRONMENT in dpkg-buildflags(1)
-# package maintainers to append CFLAGS
-#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
-# package maintainers to append LDFLAGS
-#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 export PYBUILD_NAME=cutadapt
 
@@ -34,5 +31,6 @@
 	dh_auto_clean
 	rm -rf src/cutadapt.egg-info/ .pytest_cache
 	rm -f src/cutadapt/_version.py
+	rm -rf .eggs
 	# cython-generated files
 	rm -f src/cutadapt/_align.c src/cutadapt/qualtrim.c

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-all, python3-pytest, python3-pytest-timeout, python3-pytest-mock
Restrictions: allow-stderr

## python-cutadapt 4.1

=== debian/changelog ===
python-cutadapt (4.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 29 Jul 2022 11:44:33 +0200

=== debian/control ===
--- 
+++ 
@@ -15,11 +15,11 @@
                python3-setuptools-scm,
                python3-pytest-mock,
                python3-pytest-timeout,
-               python3-xopen (>= 0.5.0),
+               python3-xopen,
                python3-dnaio,
                python3-pytest,
                cython3
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/python-cutadapt
 Vcs-Git: https://salsa.debian.org/med-team/python-cutadapt.git
 Homepage: https://pypi.python.org/pypi/cutadapt
@@ -30,7 +30,7 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
-         python3-xopen (>= 0.5.0),
+         python3-xopen,
          python3-dnaio,
          pigz
 Description: Clean biological sequences from high-throughput sequencing reads (Python 3)

## python-cutadapt 4.2

=== doc/requirements.txt ===
sphinx_issues
sphinx_better_subsection

=== debian/changelog ===
python-cutadapt (4.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 26 Dec 2022 08:30:16 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
            Andreas Tille <tille@debian.org>,
            Kevin Murray <kdmfoss@gmail.com>,
            Steffen Moeller <moeller@debian.org>,
-           Nilesh Patra <nilesh@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
@@ -19,7 +18,7 @@
                python3-dnaio,
                python3-pytest,
                cython3
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/python-cutadapt
 Vcs-Git: https://salsa.debian.org/med-team/python-cutadapt.git
 Homepage: https://pypi.python.org/pypi/cutadapt

## python-cutadapt 4.4

=== debian/changelog ===
python-cutadapt (4.4-1build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 17:39:05 +0000

python-cutadapt (4.4-1build1) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 10:06:06 +0100

python-cutadapt (4.4-1) unstable; urgency=medium

  [ Lance Lin ]
  * Team upload.
  * New upstream version
  * d/rules:
    - Clean info.c and _kmer_finder.c (Closes: #1045930)
    - Skip test_run_cutadapt_process during build since the cutadapt,
      executable is generated dueing install step (via easy install)
      add check for PYBUILD_AUTOPKGTEST for skipped test so it can be
      run during autopkgtests
    - Add <!nocheck> to test specific Build-Depends
  * d/copyright: Update year to 2023 for debian/* files
  * d/control:
    - Update homepage URL
    - Replace autopkgtest-pkg-python testsuite with autopkgtest-pkg-pybuild
    - Add B-D on pybuild-plugin-pyproject
  * d/tests: Removed, replaced with autopkgtest-pkg-pybuild to run autopkgtests
  * d/patches/xfail_cutadapt_executable_test.patch: Remove patch since this is
    adjusted in d/rules
  * d/patches/Update__kmer_finder.pyx_to_always_use_a_64-bit_integer.patch:
    Upstream fix: Allow test to pass in i386 with by always using 64-bit integer

  [ Nilesh Patra ]
  * Annotate necessary deps with :native and :any to get package cross-building

 -- Nilesh Patra <nilesh@debian.org>  Thu, 28 Sep 2023 23:32:37 +0530

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,25 @@
            Kevin Murray <kdmfoss@gmail.com>,
            Steffen Moeller <moeller@debian.org>,
 Section: python
-Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python3-all-dev,
+               libpython3-all-dev,
+               python3-all-dev:any,
+               pybuild-plugin-pyproject,
                python3-setuptools,
-               python3-setuptools-scm,
-               python3-pytest-mock,
-               python3-pytest-timeout,
-               python3-xopen,
-               python3-dnaio,
-               python3-pytest,
-               cython3
+               python3-setuptools-scm:native,
+               python3-pytest-mock <!nocheck>,
+               python3-pytest-timeout <!nocheck>,
+               python3-xopen <!nocheck>,
+               python3-dnaio <!nocheck>,
+               python3-pytest <!nocheck>,
+               cython3:native
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/python-cutadapt
 Vcs-Git: https://salsa.debian.org/med-team/python-cutadapt.git
-Homepage: https://pypi.python.org/pypi/cutadapt
+Homepage: https://cutadapt.readthedocs.io/
+Testsuite: autopkgtest-pkg-pybuild
 Rules-Requires-Root: no
 
 Package: python3-cutadapt

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,12 @@
 #export DH_VERBOSE = 1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+ifneq ($(PYBUILD_AUTOPKGTEST),1)
+# Deselect test since executables are not available before installation
+export PYBUILD_TEST_ARGS=-k 'not test_run_cutadapt_process'
+endif
+
 ifneq (,$(filter $(DEB_BUILD_ARCH),i386))
 export DEB_CFLAGS_MAINT_APPEND += -ffloat-store
 endif
@@ -32,5 +38,6 @@
 	rm -rf src/cutadapt.egg-info/ .pytest_cache
 	rm -f src/cutadapt/_version.py
 	rm -rf .eggs
+	rm -f src/cutadapt/info.c src/cutadapt/_kmer_finder.c
 	# cython-generated files
 	rm -f src/cutadapt/_align.c src/cutadapt/qualtrim.c

## python-cutadapt 4.7

=== doc/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 
 # You can set these variables from the command line.
-SPHINXOPTS    =
+SPHINXOPTS    = -W
 SPHINXBUILD   = sphinx-build
 PAPER         =
 BUILDDIR      = _build

=== doc/requirements.txt ===
sphinx
sphinx-rtd-theme
sphinx_issues
sphinx_better_subsection
setuptools_scm

=== debian/changelog ===
python-cutadapt (4.7-2build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Oct 2025 10:25:33 +0000

python-cutadapt (4.7-2build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 16:10:11 +0000

python-cutadapt (4.7-2build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Nov 2024 04:39:20 +0100

python-cutadapt (4.7-2) unstable; urgency=medium

  * Team upload.
  * d/control: need python3-dnaio of at least version 1.2.
  * Allow autopkgtests to be skipped if their dependencies are
    installable.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 27 Mar 2024 10:00:57 +0100

python-cutadapt (4.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Dropped patch Update__kmer_finder.pyx_to_always_use_a_64-
    bit_integer.patch that was applied upstream.
  * d/control: Explictly build-depend on python3-pytest so that pybuild
    understands to use it automatically. Remove the now unneeded reference in
    d/rules.
  * add a d/clean file, simplify d/rules using that

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 26 Mar 2024 15:32:36 +0100

=== debian/rules ===
--- 
+++ 
@@ -21,23 +21,8 @@
 export PYBUILD_NAME=cutadapt
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
-override_dh_install:
-	dh_install
+execute_after_dh_install:
 	mkdir -p debian/cutadapt/usr/bin
 	mv debian/python3-cutadapt/usr/bin/cutadapt debian/cutadapt/usr/bin/
-
-override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	dh_auto_test -- --test-pytest
-endif
-
-override_dh_auto_clean:
-	dh_auto_clean
-	rm -rf src/cutadapt.egg-info/ .pytest_cache
-	rm -f src/cutadapt/_version.py
-	rm -rf .eggs
-	rm -f src/cutadapt/info.c src/cutadapt/_kmer_finder.c
-	# cython-generated files
-	rm -f src/cutadapt/_align.c src/cutadapt/qualtrim.c

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%cutadapt-$1.tar.gz%" \
 https://github.com/marcelm/cutadapt/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
